Package org.springframework.jmx.export.annotation

# Annotation Interface ManagedResource

@Target(TYPE) @Retention(RUNTIME) @Inherited @Documented public @interface ManagedResource
Class-level annotation that indicates to register instances of a class with a JMX server, corresponding to the `ManagedResource` attribute.

Note: This annotation is marked as inherited, allowing for generic management-aware base classes. In such a scenario, it is recommended to not specify an object name value since this would lead to naming collisions in case of multiple subclasses getting registered.

Since:
  1.2
Author:
  Rob Harrop, Juergen Hoeller, Sam Brannen
See Also:
  - `ManagedResource`

## Optional Element Summary

Optional Elements
Modifier and Type
Optional Element
Description
`int`
`currencyTimeLimit`
`String`
`description`
`boolean`
`log`
`String`
`logFile`
`String`
`objectName`
`String`
`persistLocation`
`String`
`persistName`
`int`
`persistPeriod`
`String`
`persistPolicy`
`String`
`value`
Alias for the `objectName()` attribute, for simple default usage.

## Element Details

### value

@AliasFor("objectName") String value
Alias for the `objectName()` attribute, for simple default usage.

Default:
  ""

### objectName

@AliasFor("value") String objectName

Default:
  ""

### description

String description

Default:
  ""

### currencyTimeLimit

int currencyTimeLimit

Default:
  -1

### log

boolean log

Default:
  false

### logFile

String logFile

Default:
  ""

### persistPolicy

String persistPolicy

Default:
  ""

### persistPeriod

int persistPeriod

Default:
  -1

### persistName

String persistName

Default:
  ""

### persistLocation

String persistLocation

Default:
  ""